Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-4844

Non-standard plugin packaging can be confusing to installers

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.6
    • Fix Version/s: None
    • Component/s: Package: ILP
    • Labels:
      None
    • Plugin Version:
      2013081502
    • Affected Branches:
      MOODLE_26_STABLE

      Description

      The only installation instructions included with this plugin indicate to follow normal Moodle plugin installation procedure which do not work for the following reasons:

      1) The plugin should be listed in the Blocks category along with "Learning Plan" plugin and the "ILP Integration" plugin so that all 3 plugins with similar functionality are listed together.

      2) The filename of the ZIP file is in a non-standard format. For example, instead of ILP_Block_moodle26_2013081502.zip, it should be block_ilp_moodle26_2013081502.zip so as to clearly identify that this is a block type plugin.

      2) When installing the ILP Block plugin, the installer must currently rename the folder extracted from the ZIP file to "ilp" in order for the plugin to install and work correctly. The fix is to rename the folder to simply "ilp" next time you package it up.

      Looking forward to trying out the next version of your plugin again in the near future. Thank you for your efforts in making it available to the Moodle community.

      Best regards,

      Michael

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: